Bug 197798 - Xwindows does not start: kernels 2139_FC5 and 2145_FC5
Xwindows does not start: kernels 2139_FC5 and 2145_FC5
Status: CLOSED DUPLICATE of bug 204098
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-06 09:55 EDT by Jerry Kazdan
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-27 11:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jerry Kazdan 2006-07-06 09:55:27 EDT
Description of problem:
Xwindows does not start -- either from runlevel 5 or from runlevel 3 and then

Version-Release number of selected component (if applicable):
  both kernel 2139_FC5 and 2145_FC5 have this problem
  kernel 2133_FC5 does NOT have this problem (so that is what I am using)

How reproducible: This happens every time from both a cold boot and a reboot.
Note that using runlevel 3 (but NOT startx) I can use the terminal, but still
can't start Xwindows. 

Steps to Reproduce:
1. EITHER: cold boot (from runlevel 5) and don't touch any keys
2. OR: cold boot (from runlevel 3), login & run "startx"
    laptop: Dell Inspiron 9300  
    video card: ATI Technologies Inc M22 [Radeon Mobility M300]
I am up to date on all updates (I run "yum update")

Actual results:
The screen is completely black.  
From runlevel 3 and then "startx &> xerr", the xerr file is never even created.

Expected results: 
  X starts  (again, this still works with my old kernel 2133_FC5)

Additional info:
Comment 1 Jason Dell 2006-07-09 00:15:03 EDT
I have an Inspiron 6000 and I'm having the same issue.  Looks like several folks
are.  See these links for some testing folks have done.

Comment 2 Jerry Kazdan 2006-07-18 04:11:40 EDT
I no longer have this problem with kernel 2145_FC5 (I did not try the older
kernel 2139_FC5).  It seems that subsequent updates to _other_ packages fixed
the problem.  

A few days ago I updated to the new kernel 2157_FC5 -- and that works too.

Thank you.
Comment 3 MW 2006-08-11 08:25:25 EDT
The same freeze three or four machines with MSI VIA K8T Neo2 v.2 and Gigabyte
Radeon 9550. All fedora rpm packaged kernels from 2.6.17 hang X window just
after rhgb exits, but before gdm. I can switch vconsole one or two time and
machine hangs completly. The latest kernel from todays update also hangs X.

Exactly the same machines work  OK under 2.6.16-1.2133_FC5 and under other OS-es
(FreeBSD & M$ were installed for the test).
Comment 4 Dave Jones 2006-10-16 16:21:47 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 MW 2006-10-19 02:18:03 EDT
Little change. X Windows freeze ( black screen ) exactly in the same moment, but
system itself do not. I can switch to VC and shutdown system gracefully for
example. Test made on the same four machines as mentioned above on 11th Aug.
Comment 6 Dave Jones 2006-10-19 14:00:36 EDT
I'm going to try reassigning this as an X bug. Maybe Adam or someone else has an
idea what could be wrong here.

Just to be clear, you're using the Fedora provided drivers, and not the ATI
firegl driver right?
Comment 7 MW 2006-10-19 15:40:09 EDT
Yes, there is plain Fedora installation on all mentioned machines with regular
xorg drivers. Everything works OK up to kernel 2.6.16-1.2133_FC5. From 2.6.17
series up xorg freeze. I tested it with two variants: plain installation updated
with yum and with only kernel updated.
Comment 8 MW 2006-10-26 01:07:49 EDT
The same effect with distribution kernel of FC6 and xorg 7.1. Black screen.
Comment 9 MW 2006-11-28 02:19:08 EST
Is this bug alive in bugzilla? Still cannot boot X on abovementioned
confgurations up to the latest FC6 kernel and xorg. Have to reconfigure and use
vesa driver. While it allow me to use X on these machines it doesn't resolve the
Comment 10 Adam Jackson 2007-03-27 11:07:20 EDT
I think this is yet another instance of R400 DRI being freezy.  Duping to a bug
with actual X logs attached.

*** This bug has been marked as a duplicate of 204098 ***

Note You need to log in before you can comment on or make changes to this bug.